pipeline{
agent any
PASSWORD='hajer1234'
stages{

	stage('Auth') {
        	steps {
                	sh 'echo "login Docker ....'
                    	sh 'docker login -u hajerbenyahia -p $PASSWORD'
                }  
        }
        
        stage('Build'){
                steps{
                      script{
                                    sh 'docker build -t hajerbenyahia/dockim .'
                             }
                      }
         }
         
         stage('Push') {

                 steps {
                      sh 'echo "Docker is pushing ....'
                      sh 'docker push hajerbenyahia/dockim'
                        }  }


 	stage('CleanUp'){
                steps{
                    echo 'Cleanup...'
                    sh 'docker logout localhost:8080'
                    sh 'docker rmi hajerbenyahia/dockim'
                    
                    
                  }
         }
                             

   	




      	
	
}

}
